Bug 1032429 - [abrt] yum-3.4.3-54.fc18: misc.py:975:stat_f:OSError: [Errno 5] Input/output error: '/var/lib/yum/yumdb/a/adb04caee28bc64cee6a9bada76393c9bebf0d40-abrt-addon-xorg-2.1.7-1.fc18-x86_64/checksum_type'
[abrt] yum-3.4.3-54.fc18: misc.py:975:stat_f:OSError: [Errno 5] Input/output ...
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-11-20 02:50 EST by Shivam Gupta
Modified: 2014-02-05 17:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 17:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.97 KB, text/plain)
2013-11-20 02:50 EST, Shivam Gupta
no flags Details
File: environ (3.16 KB, text/plain)
2013-11-20 02:50 EST, Shivam Gupta
no flags Details

  None (edit)
Description Shivam Gupta 2013-11-20 02:50:02 EST
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/yum update firefox
executable:     /usr/bin/yum
kernel:         3.11.4-101.fc18.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
misc.py:975:stat_f:OSError: [Errno 5] Input/output error: '/var/lib/yum/yumdb/a/adb04caee28bc64cee6a9bada76393c9bebf0d40-abrt-addon-xorg-2.1.7-1.fc18-x86_64/checksum_type'

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 185, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1125, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 882, in resolveDeps
    for po, dep in self._checkFileRequires():
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 1165, in _checkFileRequires
    self.installedFileProviders = self.rpmdb.fileRequiresData()
  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 900, in fileRequiresData
    rpmdbv = self.simpleVersion(main_only=True)[0]
  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1134, in simpleVersion
    if 'checksum_type' in ydbi and 'checksum_data' in ydbi:
  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1823, in __contains__
    x = self.get(attr)
  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1853, in get
    res = self._read(attr)
  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1768, in _read
    info = misc.stat_f(fn, ignore_EACCES=True)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 975, in stat_f
    return os.stat(filename)
OSError: [Errno 5] Input/output error: '/var/lib/yum/yumdb/a/adb04caee28bc64cee6a9bada76393c9bebf0d40-abrt-addon-xorg-2.1.7-1.fc18-x86_64/checksum_type'

Local variables in innermost frame:
ignore_EACCES: True
e: OSError(5, 'Input/output error')
filename: '/var/lib/yum/yumdb/a/adb04caee28bc64cee6a9bada76393c9bebf0d40-abrt-addon-xorg-2.1.7-1.fc18-x86_64/checksum_type'
Comment 1 Shivam Gupta 2013-11-20 02:50:08 EST
Created attachment 826462 [details]
File: backtrace
Comment 2 Shivam Gupta 2013-11-20 02:50:12 EST
Created attachment 826463 [details]
File: environ
Comment 3 Zdeněk Pavlas 2013-11-20 03:00:15 EST
This is a low level filesystem breakage. Please try running:

$ stat /var/lib/yum/yumdb/a/adb04caee28bc64cee6a9bada76393c9bebf0d40-abrt-addon-xorg-2.1.7-1.fc18-x86_64/checksum_type

It very likely reports an IO error we can't do anything about.  I'm about to close this as a dup of 1031271 unless the "stat" runs without an error.
Comment 4 Fedora End Of Life 2013-12-21 09:46:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:33:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.